NEWFS_V7FS(8) | System Manager's Manual | NEWFS_V7FS(8)

# NAME

`newfs_v7fs` —
construct a new 7th Edition(V7) File System

# SYNOPSIS

`newfs_v7fs` | [`-FZ`] [`-B` byte-order] [`-n` inodes] [`-s` sectors] [`-V` verbose] special

# DESCRIPTION

`newfs_v7fs` builds a 7th Edition(V7) file system on the specified special. If it is a device, the size information will be taken from the disk label and before running `newfs_v7fs` the disk must be labeled using disklabel(8); the proper fstype is “Version 7”. Otherwise, the size must be specified on the command line. V7 filesystem's block size and sector size are 512 byte. Disk address limits are 24 bit.

The following arguments are supported:

`-B` byte-order
  Specify the metadata byte order of the file system to be created. Valid byte orders are ‘be’, ‘le’, and ‘pdp’. If no byte order is specified, the file system is created in host byte order.
`-F`
  Create file system to a regular file (needs the `-s` option).
`-n` inodes
  This specifies the number of inodes for the filesystem. If the number of inodes exceeds 65536, it is reduced to 65536.
`-s` sectors
  Create file system with specified number of disk sectors.
`-V` verbose
  This controls the amount of information written to stdout:
  0
    No output.
  1
    Overall size, ilist size, endian and filename length.
  2
    A progress bar.
  3
  4
    More verbose message.
  The default is 3.
`-Z`
  Fill file with zeroes instead of creating a sparse file.

# SEE ALSO

disklabel(5), disktab(5), disklabel(8), diskpart(8)

# HISTORY

A `newfs_v7fs` utility appeared in NetBSD 6.0.

# AUTHORS

`newfs_v7fs` was written by UCHIYAMA Yasushi <uch@NetBSD.org>.

September 12, 2016 | NetBSD 9.4